KNOWLEDGE BASE

Error "There was problem and the data engine could not start properly" when Refreshing Data in Tableau Bridge


Published: 24 Jan 2019
Last Modified Date: 25 Jul 2019

Issue

Extract refreshes scheduled in Tableau Bridge may fail with the following error:

status code = 1003, Failed to refresh data source: <data source name> due to the following error: There was problem and the data engine could not start properly.

Unable to create extract

Environment

  • Tableau Online
  • Tableau Bridge versions:
    • 2018.2.0.18.0807.1945 through 20183.19.0115.1143

Resolution

Upgrade to Tableau Bridge 20191.19.0204.1456 or a newer version. For downloads of Tableau Bridge, see Tableau Bridge Releases.

To verify the version of Tableau Bridge that is installed, see the below steps: 
  1. Sign in Tableau Online through a web browser. 
  2. In the menu at left, select Settings, and then select Bridge in the top menu. 
  3. Under the section Client Status, look at the Version column for each registered Bridge client. 

If the version number begins with 20182 or 20183, please follow these instructions to upgrade to Tableau Bridge to 2019.1 or later: 

  1. Log into the computer where Tableau Bridge is installed. 
  2. Download the latest version of Tableau Bridge here: https://www.tableau.com/support/releases/bridge 
  3. If Tableau Bridge is currently running in Service mode, switch it to Application mode. This will ensure the service quits completely prior to the upgrade. 
  4. Exit Tableau Bridge. 
  5. Run the installer downloaded in step 2. 
  6. After the installation completes, Tableau Bridge will start as normally. If the client was running in Service mode prior to the upgrade, switch to Service mode at this time to ensure that refreshes run on schedule. 

Cause

This behavior is related to a known issue with ID 867244 which has been corrected in more recent releases of Tableau Bridge.

Additional Information

Although live connections are not expected to be impacted by this problem, if you use Tableau Bridge for live connections only, we still recommend upgrading the client if it is older than version 2019.1. Staying in sync with the latest version of Bridge ensures that you can take advantage of the latest features and bug fixes included in each new version. 


Discuss this article... Feedback Forum
Did this article resolve the issue?